Subject: Re: Documentation & other questions
From: [email-masked] (Gary V. Vaughan)

29 Sep 1998 19:15:56 -0700
Message-ID: <[email-masked]>
References: <360f598d.74592448@neptune>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Alex Oren <[email-masked]>
Cc: [email-masked]

Alex Oren wrote:
> 
> Hello.

Hi there.
 
> I just got on this list so if my questions are not appropriate here, > please direct me to where they can be (or a FAQ, if there is one).

For the FAQ, try:
    http://www.cygnus.com/misc/gnu-win32/faq_toc.html

Also the mailing list is archived at:

    http://www.cygnus.com/ml/gnu-win32

> Please keep in mind that I am not a UNIX person so I may miss the obvious.

So long as you keep in mind that I am not a WIN32 person, so I may
miss the obvious!
 
> I installed the Cygwin tools but I can't find any documentation on
> them.  Is there any available?  A windows help file will be best but
> any other format is fine as long as there is a tool to format/read
> it.

For the (unix style/nroff) manual pages, which tell you about the
tools in the cdk.exe archive:

    ftp://ftp.cygnus.com/pub/gnu-win32/latest/cdk-man.tar.gz

If you want some API manual pages, a good approximation which I am
currently using is:

ftp://ftp.debian.org/debian/dists/stable/main/source/doc/manpages_1.19.orig.tar.gz

The cdk doesn't come with a reader however, so you might like to install
the following packages from http://www.i21.com/~tjump/files/cygwin32:

	cygwin32-b19-ncurses-4.2.tar.gz 
	cygwin32-b19-less-3.32.tar.gz
	cygwin32-b19-groff-1.11.tar.gz
	cygwin32-b19-man-1.4d.tar.gz

> Another question: How can I convert text files between UNIX format
> (LF) and DOS/Windows format (CR/LF)?  I looked at tr but it seems to
> me it only performs 1-to-1 character translations.

sed 's/^M$//' from bash?
(replace-regexp "^M$" "") from emacs?
:%s,^M$,, from vi?

(the above have to be *real* CTRL-M's not just ^ then M) or you might
try:

http://www.kedemel.demon.co.uk/trans.exe

Cheers,
	Gary V. Vaughan
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".